
(* The type of tokens. *)

type token = 
  | TABLE_HEADER_START
  | TABLE_HEADER_END
  | TABLE_ARRAY_HEADER_START
  | TABLE_ARRAY_HEADER_END
  | STRING of (string)
  | RIGHT_BRACE
  | OFFSET_DATETIME of (string)
  | NEWLINE
  | MULTILINE_STRING of (string)
  | LOCAL_TIME of (string)
  | LOCAL_DATETIME of (string)
  | LOCAL_DATE of (string)
  | LEFT_BRACE
  | KEY of (string)
  | INTEGER of (string)
  | FLOAT of (string)
  | EQ
  | EOF
  | DOT
  | COMMA
  | BOOLEAN of (string)
  | ARRAY_START
  | ARRAY_END

(* This exception is raised by the monolithic API functions. *)

exception Error

(* The monolithic API. *)

val toml_ast: (Lexing.lexbuf -> token) -> Lexing.lexbuf -> (Parser_utils.node list)

module MenhirInterpreter : sig
  
  (* The incremental API. *)
  
  include MenhirLib.IncrementalEngine.INCREMENTAL_ENGINE
    with type token = token
  
end

(* The entry point(s) to the incremental API. *)

module Incremental : sig
  
  val toml_ast: Lexing.position -> (Parser_utils.node list) MenhirInterpreter.checkpoint
  
end
